* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  text-decoration: none;
  color: white;
}

html, body {
  width: 100%;
  height: 100%;
  font-family: 'Kumbh Sans', sans-serif;
  font-weight: 400;
}

button {
  font-family: 'Kumbh Sans', sans-serif;
  font-weight: 700;
}

.ecom-nav {
  border-top: 2px solid #000;
}

.hero-container {
  background: url('images/seadek_boat.webp') no-repeat center center;
  background-size: cover;
  width: 100%;
  height: 95vh;
  position: relative;
}

.hero-container::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 39, 64, 0.7);
  z-index: 1;
}

.wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  background: transparent;
  position: relative;
  z-index: 2;
}


.hero-content {
  color: #fff;
  margin-bottom: 2rem;
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.hero-content.animate {
  opacity: 1;
  transform: translateY(0);
}

.hero-content h1 {
  font-family: 'League Gothic';
  font-size: 3rem;
  letter-spacing: 1px;
  margin-bottom: 25px;
  padding-top: 15px;
}

.hero-content p {
  width: 64%;
  margin-bottom: 25px;
  font-size: 1.3rem;
}

.hero-underline {
  border-bottom: 1px solid #fff;
  display: inline-block;
}

.cta-button {
  display: inline-block;
  padding: 0.8rem 3rem;
  border: 2px solid #fff;
  background-color: white;
  border-radius: 3px;
  color: #003057;
  font-weight: bold;
  transition: background-color 0.3s ease, color 0.3s ease;
  cursor: pointer;
  align-self: flex-start;
}

.cta-button:hover {
  background-color: #ffffffea;
  color: #000;
}

.logo-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.logo-container img {
  width: 300px !important;
  height: 100px !important;
  object-fit: contain;
}



.ecom-container {
  display: flex;
  width: 100%;
  min-height: 490px;

}

.featured-label-underline {
  border-bottom: 2px solid #fff;
  display: inline-block;
}

.retail-container,
.custom-container {
  position: relative;
  flex: 1;
  width: 100%;
  min-height: 400px;
  height: auto;
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  padding: 2rem;
  color: #fff;
}

.retail-container::before,
.custom-container::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.32);
  z-index: 1;
}

.retail-container {
  background-image: url('images/custom_cooler.webp');
}

.custom-container {
  background-image: url('images/custom_seadek.webp');
}

.retail-container > *,
.custom-container > * {
  position: relative;
  z-index: 2;
}

.ecom-container h2 {
  font-size: 2.5rem;
  margin-bottom: 1rem;
  letter-spacing: 3px;
  font-family: 'League Gothic';
}

.ecom-container p {
  margin-bottom: 1.5rem;
  width: 95%;
  line-height: 25px;
  font-size: 1.2rem;
}

.featured-label {
  display: block;
  margin-top: 58px;
  width: fit-content;
  border: 2px solid #fff;
  background: transparent;
  color: #fff;
  padding: 0.5rem 1rem;
  border-radius: 4px;
  font-size: 0.9rem;
  margin-bottom: 1rem;
}


.ecom-container .cta-button:hover {
  background-color: #ffffffea;
  color: #000;
}



.retail-content,
.custom-content {
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.retail-content.animate,
.custom-content.animate {
  opacity: 1;
  transform: translateY(0);
  max-width: 750px;
  margin: 0 auto;
}

@media (max-width: 575px){
  /* .hero-container {
    background: url('images/seadek_boat_m.webp') no-repeat center center;
  } */
  .retail-container {
    background-image: url('images/custom_cooler_m.webp');
  }
  .custom-container {
    background-image: url('images/custom_seadek_m.webp');
  }
}

@media (max-width: 768px) {
  .hero-container {
    height: 85vh;
  }

  .hero-content {
    margin-left: 20px;
    margin-bottom: 75px !important;
  }

  .logo-container img {
    width: 75%;
  }

  .hero-content p {
    width: 100%;
    font-size: 1.2rem;
  }

  .hero-content h1 {
    font-size: 2rem;
  }

  .wrapper {
    justify-content: flex-end;
  }

  .ecom-container {
    flex-direction: column;
    text-align: center;
  }

  .ecom-container p {
    width: 100%;
  }

  .ecom-container a {
    font-size: 0.8rem;
  }

  .retail-content,
  .custom-content {
    margin: 0 auto;
  }

  .featured-label {
    width: 100%;
    display: inline-block;
  }
}
